Loading...
Searching...
No Matches
Object permission set functions
Apache Portability Runtime library
Collaboration diagram for Object permission set functions:

## Macros

#define | APR_PERMS_SET_IMPLEMENT(type)
#define | APR_PERMS_SET_ENOTIMPL(type)
#define | APR_PERMS_SET_FN(type) apr_##type##_perms_set

## Typedefs

typedef apr_status_t() | apr_perms_setfn_t(void *object, apr_fileperms_t perms, apr_uid_t uid, apr_gid_t gid)

## Detailed Description

## Macro Definition Documentation

## APR_PERMS_SET_ENOTIMPL

#define APR_PERMS_SET_ENOTIMPL | ( |  | type | ) |

Value:
APR_DECLARE(apr_status_t) apr_##type##_perms_set \
(void *the##type, apr_fileperms_t perms, \
apr_uid_t uid, apr_gid_t gid) \
{ return APR_ENOTIMPL ; }
APR_ENOTIMPL
#define APR_ENOTIMPL
Definition apr_errno.h:476
apr_status_t
int apr_status_t
Definition apr_errno.h:44
apr_fileperms_t
apr_int32_t apr_fileperms_t
Definition apr_file_info.h:125
APR_DECLARE
#define APR_DECLARE(type)
Definition apr.h:507
apr_gid_t
gid_t apr_gid_t
Definition apr_user.h:54
apr_uid_t
uid_t apr_uid_t
Definition apr_user.h:45

## APR_PERMS_SET_IMPLEMENT

#define APR_PERMS_SET_IMPLEMENT | ( |  | type | ) |

Value:
APR_DECLARE(apr_status_t) apr_##type##_perms_set \
(void *the##type, apr_fileperms_t perms, \
apr_uid_t uid, apr_gid_t gid)

## Typedef Documentation

## apr_perms_setfn_t

typedef apr_status_t() apr_perms_setfn_t(void *object, apr_fileperms_t perms, apr_uid_t uid, apr_gid_t gid)

Permission set callback function.